<?php

namespace AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\Request;
use AppBundle\Entity\Film;
use AppBundle\Form\FilmType;

class VideothequeController extends Controller
{
	/**
	 * @Route("/", name="racine_test")
	 */
	public function indexAction()
	{
	    
		return $this->redirectToRoute('videotheque_liste');
	}

	/**
	 * @Route("/liste", name="videotheque_liste")
	 */
	public function listeAction()
	{
		$em = $this->getDoctrine()->getManager();
		$repo = $em->getRepository('AppBundle:Film');
		$listeFilms = $repo->findAll();

		return $this->render('@App/videotheque/liste.html.twig', array(
			'listeFilms'	=>	$listeFilms
		));
	}	

	/**
	 * @Route("/ajouter", name="videotheque_ajouter")
	 */
	public function ajouterAction(Request $request)
	{
		$film = new Film;
		$form = $this->createForm(FilmType::class, $film);

		$form->handleRequest($request);
		if ($form->isSubmitted() && $form->isValid())
		{
			$film = $form->getData();
			$em = $this->getDoctrine()->getManager();
			$em->persist($film);
			$em->flush();
			$this->addFlash('success', 'Le film a été ajouté');
			return $this->redirectToRoute('videotheque_liste');
		}

		return $this->render('@App/videotheque/ajouter.html.twig', array(
			'form'	=>	$form->createView(),
			'film'	=>	$film
		));
	}

	/**
	 * @Route("/modifier/{id}", name="videotheque_modifier")
	 */
	public function modifierAction(Request $request, Film $film)
	{
		$form = $this->createForm(FilmType::class, $film);
		$form->handleRequest($request);

		if ($form->isSubmitted() && $form->isValid())
		{
            $em = $this->getDoctrine()->getManager();
			$film = $form->getData();
			$em->flush();
			$this->addFlash('success', 'Le film a été modifié');
			return $this->redirectToRoute('videotheque_liste');
		}


		return $this->render('@App/videotheque/modifier.html.twig', array(
			'form'	=> $form->createView()
		));
	}

	/**
	 * @Route("/supprimer/{id}", name="videotheque_supprimer")
	 */
	public function supprimerAction(Request $request, Film $film)
	{
        $form = $this->get('form.factory')->create();
        $form->handleRequest($request);
        if ($form->isSubmitted() && $form->isValid())
        {
            $em = $this->getDoctrine()->getManager();
            $em->remove($film);
            $em->flush();
            $this->addFlash('success', 'Le film '.$film->getTitre().' a bien été supprimé.');
            return $this->redirectToRoute('videotheque_liste');
        }

		return $this->render('@App/videotheque/supprimer.html.twig', array(
			'film'  =>  $film,
            'form'  =>  $form->createView()
		));
	}

}
